Upstream information

CVE-2019-14855 at MITRE

Description

A flaw was found in the way certificate signatures could be forged using collisions found in the SHA-1 algorithm. An attacker could use this weakness to create forged certificate signatures. This issue affects GnuPG versions before 2.2.18.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.9
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1157900 [RESOLVED / FIXED], 1160243 [RESOLVED / UPSTREAM], 1181233 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Storage 7.1
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • dirmngr >= 2.2.27-1.2
  • gpg2 >= 2.2.27-1.2
  • gpg2-lang >= 2.2.27-1.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA dirmngr-2.2.27-1.2
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • dirmngr >= 2.2.27-1.2
  • gpg2 >= 2.2.27-1.2
  • gpg2-lang >= 2.2.27-1.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA dirmngr-2.2.27-1.2
openSUSE Leap 15.3
  • dirmngr >= 2.2.27-1.2
  • gpg2 >= 2.2.27-1.2
  • gpg2-lang >= 2.2.27-1.2
Patchnames:
openSUSE Leap 15.3 GA dirmngr-2.2.27-1.2
openSUSE Leap 15.4
  • dirmngr >= 2.2.27-1.2
  • gpg2 >= 2.2.27-1.2
  • gpg2-lang >= 2.2.27-1.2
Patchnames:
openSUSE Leap 15.4 GA dirmngr-2.2.27-1.2
openSUSE Tumbleweed
  • dirmngr >= 2.2.27-2.4
  • gpg2 >= 2.2.27-2.4
  • gpg2-lang >= 2.2.27-2.4
Patchnames:
openSUSE Tumbleweed GA dirmngr-2.2.27-2.4


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 gpg2 Won't fix
SLES15-EC2-CHOST-HVM-BYOS gpg2 Won't fix
SLES15-SP1-CHOST-BYOS-Azure gpg2 Won't fix
SLES15-SP1-CHOST-BYOS-EC2 gpg2 Won't fix
SLES15-SP1-CHOST-BYOS-GCE gpg2 Won't fix
SLES15-SP2-CHOST-BYOS-Aliyun gpg2 Won't fix
SLES15-SP2-CHOST-BYOS-Azure gpg2 Won't fix
SLES15-SP2-CHOST-BYOS-EC2 gpg2 Won't fix
SLES15-SP2-CHOST-BYOS-GCE gpg2 Won't fix
SLES15-SP3-CHOST-BYOS-Aliyun gpg2 Already fixed
SLES15-SP3-CHOST-BYOS-Azure gpg2 Already fixed
SLES15-SP3-CHOST-BYOS-EC2 gpg2 Already fixed
SLES15-SP3-CHOST-BYOS-GCE gpg2 Already fixed
SLES15-SP4-CHOST-BYOS gpg2 Already fixed
SLES15-SP4-CHOST-BYOS-Aliyun gpg2 Already fixed
SLES15-SP4-CHOST-BYOS-Azure gpg2 Already fixed
SLES15-SP4-CHOST-BYOS-EC2 gpg2 Already fixed
SLES15-SP4-CHOST-BYOS-GCE gpg2 Already fixed
SUSE CaaS Platform 3.0 gpg2 Won't fix
SUSE CaaS Platform 4.0 gpg2 Won't fix
SUSE CaaS Platform 4.5 gpg2 Won't fix
SUSE Container as a Service Platform 1.0 gpg2 Won't fix
SUSE Container as a Service Platform 2.0 gpg2 Won't fix
SUSE Enterprise Storage 6 gpg2 Won't fix
SUSE Enterprise Storage 7 gpg2 Won't fix
SUSE Linux Enterprise Desktop 12 SP4 gpg2 Won't fix
SUSE Linux Enterprise Desktop 15 gpg2 Won't fix
SUSE Linux Enterprise Desktop 15 SP1 gpg2 Won't fix
SUSE Linux Enterprise Desktop 15 SP2 gpg2 Won't fix
SUSE Linux Enterprise Desktop 15 SP3 gpg2 Already fixed
SUSE Linux Enterprise Desktop 15 SP4 gpg2 Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP4 gpg2 Won't fix
SUSE Linux Enterprise High Performance Computing 12 SP5 gpg2 Won't fix
SUSE Linux Enterprise High Performance Computing 15 gpg2 Won't fix
SUSE Linux Enterprise High Performance Computing 15 LTSS gpg2 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1 gpg2 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS gpg2 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS gpg2 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP2 gpg2 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS gpg2 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS gpg2 Won't fix
SUSE Linux Enterprise High Performance Computing 15 SP3 gpg2 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4 gpg2 Already fixed
SUSE Linux Enterprise Micro 5.0 gpg2 Won't fix
SUSE Linux Enterprise Micro 5.1 gpg2 Already fixed
SUSE Linux Enterprise Micro 5.2 gpg2 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 gpg2 Won't fix
SUSE Linux Enterprise Module for Basesystem 15 SP1 gpg2 Won't fix
SUSE Linux Enterprise Module for Basesystem 15 SP2 gpg2 Won't fix
SUSE Linux Enterprise Module for Basesystem 15 SP3 gpg2 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP4 gpg2 Already fixed
SUSE Linux Enterprise Point of Service 11 SP3 gpg2 Won't fix
SUSE Linux Enterprise Real Time 15 SP2 gpg2 Won't fix
SUSE Linux Enterprise Server 11 SP1 gpg2 Unsupported
SUSE Linux Enterprise Server 11 SP3 gpg2 Won't fix
SUSE Linux Enterprise Server 11 SP4 LTSS gpg2 Won't fix
SUSE Linux Enterprise Server 12 SP1 LTSS gpg2 Unsupported
SUSE Linux Enterprise Server 12 SP2 BCL gpg2 Won't fix
SUSE Linux Enterprise Server 12 SP2 LTSS gpg2 Unsupported
SUSE Linux Enterprise Server 12 SP3 BCL gpg2 Won't fix
SUSE Linux Enterprise Server 12 SP3 ESPOS gpg2 Won't fix
SUSE Linux Enterprise Server 12 SP3 LTSS gpg2 Won't fix
SUSE Linux Enterprise Server 12 SP4 gpg2 Won't fix
SUSE Linux Enterprise Server 12 SP4 ESPOS gpg2 Won't fix
SUSE Linux Enterprise Server 12 SP4 LTSS gpg2 Won't fix
SUSE Linux Enterprise Server 12 SP5 gpg2 Won't fix
SUSE Linux Enterprise Server 15 gpg2 Won't fix
SUSE Linux Enterprise Server 15 ESPOS gpg2 Won't fix
SUSE Linux Enterprise Server 15 LTSS gpg2 Won't fix
SUSE Linux Enterprise Server 15 SP1 gpg2 Won't fix
SUSE Linux Enterprise Server 15 SP1 LTSS gpg2 Won't fix
SUSE Linux Enterprise Server 15 SP2 gpg2 Won't fix
SUSE Linux Enterprise Server 15 SP2 LTSS gpg2 Won't fix
SUSE Linux Enterprise Server 15 SP3 gpg2 Already fixed
SUSE Linux Enterprise Server 15 SP4 gpg2 Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 gpg2 Won't fix
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 gpg2 Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP2 gpg2 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gpg2 Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gpg2 Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP5 gpg2 Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 gpg2 Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP1 gpg2 Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP2 gpg2 Won't fix
SUSE Linux Enterprise Server for SAP Applications 15 SP3 gpg2 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP4 gpg2 Already fixed
SUSE Linux Enterprise Storage 6 gpg2 Won't fix
SUSE Linux Enterprise Storage 7 gpg2 Won't fix
SUSE Linux Enterprise Storage 7.1 gpg2 Already fixed
SUSE Manager Proxy 4.0 gpg2 Won't fix
SUSE Manager Proxy 4.1 gpg2 Won't fix
SUSE Manager Proxy 4.2 gpg2 Already fixed
SUSE Manager Proxy 4.3 gpg2 Already fixed
SUSE Manager Retail Branch Server 4.0 gpg2 Won't fix
SUSE Manager Retail Branch Server 4.1 gpg2 Won't fix
SUSE Manager Retail Branch Server 4.2 gpg2 Already fixed
SUSE Manager Retail Branch Server 4.3 gpg2 Already fixed
SUSE Manager Server 4.0 gpg2 Won't fix
SUSE Manager Server 4.1 gpg2 Won't fix
SUSE Manager Server 4.2 gpg2 Already fixed
SUSE Manager Server 4.3 gpg2 Already fixed
SUSE OpenStack Cloud 8 gpg2 Won't fix
SUSE OpenStack Cloud 9 gpg2 Won't fix
SUSE OpenStack Cloud Crowbar 8 gpg2 Won't fix
SUSE OpenStack Cloud Crowbar 9 gpg2 Won't fix
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7/ceph/ceph
ses/7/ceph/grafana
ses/7/ceph/prometheus-alertmanager
ses/7/ceph/prometheus-node-exporter
ses/7/ceph/prometheus-server
ses/7/cephcsi/cephcsi
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-attacher:v3.3.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-node-driver-registrar:v2.3.0
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-provisioner:v3.0.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-resizer:v1.3.0
ses/7/cephcsi/csi-snapshotter:v2.1.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
ses/7/cephcsi/csi-snapshotter:v4.2.0
ses/7/prometheus-webhook-snmp
ses/7/rook/ceph
suse/sle-micro/5.0/toolbox
suse/sle15:15.0
suse/sle15:15.1
suse/sle15:15.2
suse/sles12sp3
suse/sles12sp4
suse/sles12sp5
gpg2Won't fix
bci/bci-init:15.3
bci/golang
bci/golang:1.16
bci/golang:1.17
bci/node:12
bci/node:14
bci/nodejs
bci/openjdk
bci/openjdk-devel:11
bci/python:3
bci/ruby
ses/7.1/ceph/grafana
ses/7.1/ceph/haproxy
ses/7.1/ceph/keepalived
ses/7.1/ceph/prometheus-alertmanager
ses/7.1/ceph/prometheus-node-exporter
ses/7.1/ceph/prometheus-server
ses/7.1/ceph/prometheus-snmp_notifier
ses/7.1/cephcsi/cephcsi
ses/7.1/cephcsi/csi-attacher:v3.4.0
ses/7.1/cephcsi/csi-node-driver-registrar:v2.5.0
ses/7.1/cephcsi/csi-provisioner:v3.1.0
ses/7.1/cephcsi/csi-resizer:v1.4.0
ses/7.1/cephcsi/csi-snapshotter:v5.0.1
ses/7.1/rook/ceph
suse/manager/4.3/proxy-httpd
suse/manager/4.3/proxy-salt-broker
suse/rmt-server
suse/rmt-server:2.7
suse/sle-micro-rancher/5.2
suse/sle-micro-rancher/5.3
suse/sle-micro/5.1/toolbox
suse/sle-micro/5.2/toolbox
suse/sle-micro/5.3/toolbox
suse/sle15:15.3
suse/sle15:15.4
suse/sles/15.3/cdi-importer:1.37.1
suse/sles/15.3/libguestfs-tools:0.45.0
suse/sles/15.4/cdi-importer:1.43.0
suse/sles/15.4/libguestfs-tools:0.49.0
gpg2Already fixed